### Method

# AppStream Agreement set_version_id

since: 0.12.1

#### Declaration [src]

    void
    as_agreement_set_version_id (
      AsAgreement* agreement,
      const gchar* version_id
    )

#### Description [src]

Sets the agreement version identifier.

Available since: 0.12.1

#### Parameters

`version_id`

  Type: `const gchar*`

  The agreement version ID, e.g. “1.4a”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.